Bug 1815669 - ip= kernel argument not working after reboot w/ static ips configured, hostname reverting to "localhost" in RHCOS
Summary: ip= kernel argument not working after reboot w/ static ips configured, hostna...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.4
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: Micah Abbott
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1804426
Blocks: 1186913
TreeView+ depends on / blocked
 
Reported: 2020-03-20 20:41 UTC by Micah Abbott
Modified: 2020-05-13 22:01 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1804426
Environment:
Last Closed: 2020-05-13 22:01:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 22:01:16 UTC

Comment 1 Micah Abbott 2020-03-20 20:43:35 UTC
This landed in RHCOS 44.81.202003130330-0 via `ignition-0.35.0-3.rhaos4.4.git7afbeba.el8`

Comment 4 Michael Nguyen 2020-04-02 17:07:57 UTC
Verified on RHEL CoreOS  44.81.202004011917-0  which is a part of OCP 4.4.0-0.nightly-2020-04-01-21392
[core@myhostname ~]$ rpm-ostree status
State: idle
AutomaticUpdates: disabled
Deployments:
* ostree://eac2316005961f0b2afea39b509a7cc15c5bfdecbc8c71771455214f568bbb11
                   Version: 44.81.202004011917-0 (2020-04-01T19:22:58Z)
[core@myhostname ~]$ rpm -q ignition 
ignition-0.35.0-5.rhaos4.4.git7afbeba.el8.x86_64
[core@myhostname ~]$ hostname
myhostname
[core@myhostname ~]$ hostnamectl
   Static hostname: myhostname
         Icon name: computer-vm
           Chassis: vm
        Machine ID: 9e87bc1f42e64fac832b8afe7f6fc617
           Boot ID: a405af6ff72f4ad38d315001027804a3
    Virtualization: kvm
  Operating System: Red Hat Enterprise Linux CoreOS 44.81.202004011917-0 (Ootpa)
            Kernel: Linux 4.18.0-147.5.1.el8_1.x86_64
      Architecture: x86-64
[core@myhostname ~]$ cat /proc/sys/kernel/bootloader_
bootloader_type     bootloader_version  
[core@myhostname ~]$ cat /proc/sys/kernel/random/boot_id 
a405af6f-f72f-4ad3-8d31-5001027804a3
[core@myhostname ~]$ cat /proc/cmdline 
BOOT_IMAGE=(hd0,gpt1)/ostree/rhcos-275e489700a32127baded5136240b16aee7b84c125f7931fd7ea3779b48d6ab3/vmlinuz-4.18.0-147.5.1.el8_1.x86_64 rhcos.root=crypt_rootfs console=tty0 console=ttyS0,115200n8 ignition.platform.id=qemu rd.luks.options=discard ignition.firstboot rd.neednet=1 ip=192.168.122.30::192.168.122.1:255.255.255.0:myhostname:enp1s0:none nameserver=192.168.122.1 ostree=/ostree/boot.1/rhcos/275e489700a32127baded5136240b16aee7b84c125f7931fd7ea3779b48d6ab3/0
[core@myhostname ~]$ sudo systemctl reboot

--snip--

myhostname login: core
Password: 
Last login: Thu Apr  2 17:03:30 on ttyS0
Red Hat Enterprise Linux CoreOS 44.81.202004011917-0
  Part of OpenShift 4.4, RHCOS is a Kubernetes native operating system
  managed by the Machine Config Operator (`clusteroperator/machine-config`).

WARNING: Direct SSH access to machines is not recommended; instead,
make configuration changes via `machineconfig` objects:
  https://docs.openshift.com/container-platform/4.4/architecture/architecture-rhcos.html

---
[core@myhostname ~]$ cat /proc/sys/kernel/random/boot_id 
df6d8aaa-7666-4e80-a2ed-edaacf974ef1
[core@myhostname ~]$ hostname
myhostname
[core@myhostname ~]$ hostnamectl
   Static hostname: myhostname
         Icon name: computer-vm
           Chassis: vm
        Machine ID: 9e87bc1f42e64fac832b8afe7f6fc617
           Boot ID: df6d8aaa76664e80a2ededaacf974ef1
    Virtualization: kvm
  Operating System: Red Hat Enterprise Linux CoreOS 44.81.202004011917-0 (Ootpa)
            Kernel: Linux 4.18.0-147.5.1.el8_1.x86_64
      Architecture: x86-64
[core@myhostname ~]$ sudo systemctl reboot

--snip--

myhostname login: core
Password: 
Last login: Thu Apr  2 17:05:23 on ttyS0
Red Hat Enterprise Linux CoreOS 44.81.202004011917-0
  Part of OpenShift 4.4, RHCOS is a Kubernetes native operating system
  managed by the Machine Config Operator (`clusteroperator/machine-config`).

WARNING: Direct SSH access to machines is not recommended; instead,
make configuration changes via `machineconfig` objects:
  https://docs.openshift.com/container-platform/4.4/architecture/architecture-rhcos.html

---
[core@myhostname ~]$ cat /proc/sys/kernel/random/boot_id 
c466f9e3-4a9a-49fc-823e-9dd28573236c
[core@myhostname ~]$ hostname
myhostname
[core@myhostname ~]$ hostnamectl
   Static hostname: myhostname
         Icon name: computer-vm
           Chassis: vm
        Machine ID: 9e87bc1f42e64fac832b8afe7f6fc617
           Boot ID: c466f9e34a9a49fc823e9dd28573236c
    Virtualization: kvm
  Operating System: Red Hat Enterprise Linux CoreOS 44.81.202004011917-0 (Ootpa)
            Kernel: Linux 4.18.0-147.5.1.el8_1.x86_64
      Architecture: x86-64

Comment 6 errata-xmlrpc 2020-05-13 22:01:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.